import { createContext, useContext } from 'react';

const atlantisContextDefaultValues = {
    dateFormat: "P",
    // The system time is "p"
    timeFormat: "p",
    timeZone: Intl.DateTimeFormat().resolvedOptions().timeZone,
    floatSeparators: { group: ",", decimal: "." },
    currencySymbol: "$",
    locale: "en",
    firstDayOfWeek: 0,
};
const AtlantisContext = createContext(atlantisContextDefaultValues);
function useAtlantisContext() {
    return useContext(AtlantisContext);
}

export { AtlantisContext as A, atlantisContextDefaultValues as a, useAtlantisContext as u };
